Subject: Re: [PATCH v10 7/9] ls-tree.c: introduce struct "show_tree_data"

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 13 Jan 2022 08:03:02 +0100

On Thu, Jan 13 2022, Teng Long wrote:

> "show_tree_data" is a struct that packages the necessary fields for
> "show_tree()". This commit is a pre-prepared commit for supporting
> "--format" option and it does not affect any existing functionality.

Is the only reason this is split off from 9/9 because you're injecting a
8/9 commit for the coccinelle rule change, and wanted to find some
logical cut-off between the two?

> Signed-off-by: Teng Long <[email-masked]>

For both this & 9/9 this seems to mostly/substantially be code I wrote
and submitted as part of
https://lore.kernel.org/git/[email-masked];

The convention we use in such cases is to retain the "Author" header and
just add your own Signed-off-by to patches you're modifying/splitting
up.